<template>
	<mind-layout-table :data="ListaRecursos" rowKey="id" 
		:path="$route.path" @delete="onDelete" >
			<el-table-column sortable prop="id" label="Extensión"  />
	</mind-layout-table>
</template>

<script>
// import store from '@/store/troncales'
import {Rest} from '@/../modules/mind-core-vue'

export default {
  async created() {

		this.api = new Rest({
			uri: `api/ami/users`, 
			key: 'id'})

		this.users = await this.api.FetchAll().catch((error)=>{
			this.$message({
				showClose: true,
				type: 'error',
				message: error
			});
		})
	},
	computed:{
		ListaRecursos() {
			if(!this.users) {
				return []
			}
			

			return this.users
		},
	},
	methods: {
		/**
		 * Elimina el recuros especificado
		 * @param id recurso del elemento a eliminar
		 */
		onDelete(id){
			this.api.Delete(id).catch((error)=>{
				this.$message({
					showClose: true,
					type: 'error',
					message: error
				});
			})
		},
	},
	data() {
		return {
			api: null,
			users: []
		}
	}
	
}
</script>
<style >

</style>
